/***********************************************************************
* Copyright by Michael Loesler, https://software.applied-geodesy.org   *
*                                                                      *
* This program is free software; you can redistribute it and/or modify *
* it under the terms of the GNU General Public License as published by *
* the Free Software Foundation; either version 3 of the License, or    *
* at your option any later version.                                    *
*                                                                      *
* This program is distributed in the hope that it will be useful,      *
* but WITHOUT ANY WARRANTY; without even the implied warranty of       *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
* GNU General Public License for more details.                         *
*                                                                      *
* You should have received a copy of the GNU General Public License    *
* along with this program; if not, see <http://www.gnu.org/licenses/>  *
* or write to the                                                      *
* Free Software Foundation, Inc.,                                      *
* 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.            *
*                                                                      *
***********************************************************************/

package org.applied_geodesy.util.filesplitter;

import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.Scanner;

import org.applied_geodesy.util.filesplitter.io.FlatFileSplitter;

public class FlatFileSplitterApp {
	public static void main(String[] args) throws Exception {
		String file = null;
		
		if (args.length == 0) {
			Scanner sc = new Scanner(System.in);
		    System.out.print("Source file: ");
		    file = sc.nextLine();
		    sc.close();
		}
		else
			file = args[0];

		if (file == null || file.trim().isEmpty() || Files.notExists(Paths.get(file)))
			throw new IllegalArgumentException("Error, source file is not specified or does not exist!");
		
		
		FlatFileSplitter splitter = new FlatFileSplitter(file);
		splitter.readAndImport();
	}
}
